/* Projekt Gruppe 2 BP1 Vicovac, Zipperle */

/*Nach Email Adresse fragen*/
say 'Bitte die E-Mail adresse des gewünschten Empfängers im folgenden Format eingeben: someone@example.org'
Parse Pull address

Say 'Email Adresse wurde erhalten'

/*Gewünschten Text aus dem Internet-Explorer*/
say 'Auf den Internet explorer zugreifen...'
myIE = .OLEObject~New("InternetExplorer.Application")
myIE~Navigate("https://wetter.orf.at/wien/prognose")
myIE~Visible = .True
do counter i until myIE~busy=.false | i>1000 
 call sysSleep 0.001 
end

say 'Zur gewünschten Webseite gelangen...'

doc=myIE~document 
source=doc~body~innerHtml
myIE~quit

say 'Den Text aus der Webseite (HTML-Code) entnehmen'

parse var source '<div class="storyWrapper">' '<div class="storyText" id="ss-storyText">' '<div class="fulltextWrapper" role="article">' text  '<!--  Footer -->'
parse var text . heute . rest1 '<p>' heuteText '</p>' rest2 . morgen . rest3 '<p>' morgenText '</p>' rest4 . uebermorgen . rest5 '<p>' uebermorgenText '</p>' rest6 . derWeitereTrend . rest7 '<p>' dWTText '</p>' '<p>' dWTText2 '</p>'
parse var text . heute . rest1 '<h2>' heuteTitel '</h2>' rest2 . morgen . rest3 '<h2>' morgenTitel '</h2>' rest4 . uebermorgen . rest5 '<h2>' uebermorgenTitel '</h2>' rest6 . derWeitereTrend . rest7 '<h2>' dWTTitel '</h2>'

Heute = strip(heuteText, 'T')
Morgen = strip(morgenText, 'T')
Uebermorgen = strip(uebermorgenText, 'T')
Trend = strip(dWTText, 'T')
Trend2 = strip(dWTText2, 'T')
HeuteT = strip(heuteTitel, 'T')
MorgenT = strip(morgenTitel, 'T')
UebermorgenT = strip(uebermorgenTitel, 'T')
TrendT = strip(dWTTitel,'T')


/*Aktuelles Datum bekommen*/
aktuellesDatum = DATE()

/*Aktuelle Uhrzeit bekommen*/
aktuelleUhrzeit = TIME()

/*Libre office Writer Dokument erstellen*/
say 'Libre Office starten...'
objServiceManager= .OleObject~new("com.sun.star.ServiceManager")
objDesktop= objServiceManager~createInstance("com.sun.star.frame.Desktop")
args=.array~new
objDocument= objDesktop~loadComponentFromURL("private:factory/swriter", "_blank", 0, args)
objText= objDocument~getText
objCursor= objText~createTextCursor
say 'Den Text einfügen und bearbeiten...'
vbLf = "0a"x

/*Datum und Uhrzeit ins Dokument einfügen*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 10)
objCursor~setPropertyValue( "CharWeight", 100)
objText~insertString( objCursor, 'Dieses Dokument wurde am 'aktuellesDatum' um 'aktuelleUhrzeit' erstellt'vbLf, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Titel des Dokuments*/
objCursor~setPropertyValue( "CharColor", 255)
objCursor~setPropertyValue( "CharHeight", 20)
objCursor~setPropertyValue("CharFontName", "Verdana")
objCursor~setPropertyValue( "CharWeight", 200)
objText~insertString( objCursor, 'Du hast eine neue Nachricht von deiner Wetterfee', .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Untertitel des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 15)
objCursor~setPropertyValue( "CharWeight", 150)
objText~insertString( objCursor, HeuteT, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Inhalt des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 10)
objCursor~setPropertyValue( "CharWeight", 100)
objText~insertString( objCursor, Heute, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Untertitel des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 15)
objCursor~setPropertyValue( "CharWeight", 150)
objText~insertString( objCursor, MorgenT, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Inhalt des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 10)
objCursor~setPropertyValue( "CharWeight", 100)
objText~insertString( objCursor, Morgen, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Untertitel des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 15)
objCursor~setPropertyValue( "CharWeight", 150)
objText~insertString( objCursor, UebermorgenT, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Inhalt des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 10)
objCursor~setPropertyValue( "CharWeight", 100)
objText~insertString( objCursor, Uebermorgen, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Untertitel des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 15)
objCursor~setPropertyValue( "CharWeight", 150)
objText~insertString( objCursor, TrendT, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertControlCharacter( objCursor, 0, .false)

/*Inhalt des Dokuments*/
objCursor~setPropertyValue( "CharColor", 65536)
objCursor~setPropertyValue( "CharHeight", 10)
objCursor~setPropertyValue( "CharWeight", 100)
objText~insertString( objCursor, Trend, .false )
objText~insertControlCharacter( objCursor, 0, .false)
objText~insertString( objCursor, Trend2, .false )
objText~insertControlCharacter( objCursor, 0, .false)


Say 'Text wurde eingefügt und formatiert...'

/*Speichern des Dokuments*/

Say 'Speichern des Dokuments...'

options = .array~new

/*file Path*/
objDocument~storeToURL('file:///C:/Users/olive/Workspace/Project_folder/Wetterfee.odt', options)
Say 'Dokument gespeichert'

/*Per Email versenden*/
Say 'Outlook öffnen...'

address OLEObject
outlook = .OLEObject~new('Outlook.Application')
mail = outlook~CreateItem(0)

Say 'Neue Email erstellen'

/*Betreff und Inhalte der E-Mail festlegen*/
mail~Subject = 'Die Wetterfee' aktuellesDatum aktuelleUhrzeit
mail~Body = 'Im Anhang finden Sie die Nachricht der Wetterfee versendet am' aktuellesDatum
mail~To = address

Say 'Das erstellte Dokument an die Email anhängen...'

mail~Attachments~Add('C:\Users\olive\Workspace\Project_folder\Wetterfee.odt')
mail~Send
outlook~Quit

Say 'Email wurde versendet und Outlook ist geschlossen'
Say '+++++++++++ ENDE DES Programms ++++++++++++++'
